## kolourpaint 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(kolourpaint)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(QImageBlitz REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
find_package(KSane)
macro_log_feature(KSANE_FOUND "KSane" "KDE sane library" "https://quickgit.kde.org/?p=libksane.git" FALSE "" "Scanning support")

if(KSANE_FOUND)
    include_directories(${KSANE_INCLUDE_DIR})
    add_definitions(-DHAVE_KSANE=1)
else(KSANE_FOUND)
    add_definitions(-DHAVE_KSANE=0)
endif(KSANE_FOUND)


include_directories(

# GENERATED BY ./gen_cmake_include_dirs

${CMAKE_CURRENT_SOURCE_DIR}/commands
${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib
${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects
${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/flow
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/polygonal
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/rectangular
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection
${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text
${CMAKE_CURRENT_SOURCE_DIR}/cursors
${CMAKE_CURRENT_SOURCE_DIR}/dialogs
${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib
${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/effects
${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms
${CMAKE_CURRENT_SOURCE_DIR}/document
${CMAKE_CURRENT_SOURCE_DIR}/environments
${CMAKE_CURRENT_SOURCE_DIR}/environments/commands
${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs
${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib
${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib/transforms
${CMAKE_CURRENT_SOURCE_DIR}/environments/document
${CMAKE_CURRENT_SOURCE_DIR}/environments/tools
${CMAKE_CURRENT_SOURCE_DIR}/environments/tools/selection
${CMAKE_CURRENT_SOURCE_DIR}/generic
${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets
${CMAKE_CURRENT_SOURCE_DIR}/imagelib
${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects
${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms
${CMAKE_CURRENT_SOURCE_DIR}/layers
${CMAKE_CURRENT_SOURCE_DIR}/layers/selections
${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image
${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text
${CMAKE_CURRENT_SOURCE_DIR}/layers/tempImage
${CMAKE_CURRENT_SOURCE_DIR}/lgpl
${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic
${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic/widgets
${CMAKE_CURRENT_SOURCE_DIR}/mainWindow
${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx
${CMAKE_CURRENT_SOURCE_DIR}/tools
${CMAKE_CURRENT_SOURCE_DIR}/tools/flow
${CMAKE_CURRENT_SOURCE_DIR}/tools/polygonal
${CMAKE_CURRENT_SOURCE_DIR}/tools/rectangular
${CMAKE_CURRENT_SOURCE_DIR}/tools/selection
${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/image
${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/text
${CMAKE_CURRENT_SOURCE_DIR}/views
${CMAKE_CURRENT_SOURCE_DIR}/views/manager
${CMAKE_CURRENT_SOURCE_DIR}/widgets
${CMAKE_CURRENT_SOURCE_DIR}/widgets/colorSimilarity
${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib
${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib/effects
${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars
${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars/options

${KDE4_INCLUDES}
${QIMAGEBLITZ_INCLUDES}
)

add_subdirectory( pics )
add_subdirectory( doc )


########### next target ###############
macro(CREATE_VERSION _in_FILE _out_FILE)
    FILE(READ ${_in_FILE} _contents)
    FILE(WRITE ${_out_FILE} "static const char * const kpVersionText =")
    STRING(REGEX REPLACE "\n" "" _contents "${_contents}" )
    FILE(APPEND ${_out_FILE} "${_contents}")
    FILE(APPEND ${_out_FILE} ";\n")
endmacro(CREATE_VERSION)


#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h )

create_version(${CMAKE_CURRENT_SOURCE_DIR}/VERSION ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h)


macro(CREATE_LICENSE _in_FILE _out_FILE)
    FILE(READ ${_in_FILE} _contents)
    FILE(WRITE ${_out_FILE} "static const char * const kpLicenseText =")
    STRING(REGEX REPLACE "\"" "\\\\\"" _contents "${_contents}" )
    STRING(REGEX REPLACE "\n" "\\\\n\"\n\"" _contents "${_contents}" )
    FILE(APPEND ${_out_FILE} "\"${_contents}\"")
    FILE(APPEND ${_out_FILE} ";\n")
endmacro(CREATE_LICENSE)

#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintlicense.h )

create_license(${CMAKE_CURRENT_SOURCE_DIR}/COPYING ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintlicense.h)


# GENERATED BY ./gen_cmake_srcs | fgrep -v /lgpl/

set(kolourpaint_lib1_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectBalanceCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectBlurSharpenCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectClearCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectCommandBase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectEmbossCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectFlattenCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectGrayscaleCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectHSVCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectInvertCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectReduceColorsCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects/kpEffectToneEnhanceCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/kpDocumentMetaInfoCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms/kpTransformFlipCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms/kpTransformResizeScaleCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms/kpTransformRotateCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms/kpTransformSkewCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpCommandHistoryBase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpCommandHistory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpCommandSize.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpMacroCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/kpNamedCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/flow/kpToolFlowCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/kpToolColorPickerCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/kpToolFloodFillCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/polygonal/kpToolPolygonalCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/rectangular/kpToolRectangularCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpAbstractSelectionContentCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolImageSelectionTransparencyCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolSelectionCreateCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolSelectionDestroyCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolSelectionMoveCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolSelectionPullFromDocumentCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/kpToolSelectionResizeScaleCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextBackspaceCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextChangeStyleCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextDeleteCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextEnterCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextGiveContentCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text/kpToolTextInsertCommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursors/kpCursorLightCross.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursors/kpCursorProvider.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/effects/kpEffectsDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/kpDocumentMetaInfoDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms/kpTransformPreviewDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms/kpTransformResizeScaleDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms/kpTransformRotateDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms/kpTransformSkewDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpColorSimilarityDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpDocumentSaveOptionsPreviewDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/document/kpDocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/document/kpDocument_Open.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/document/kpDocument_Save.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/document/kpDocumentSaveOptions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/document/kpDocument_Selection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/commands/kpCommandEnvironment.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib/transforms/kpTransformDialogEnvironment.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/document/kpDocumentEnvironment.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/kpEnvironmentBase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/tools/kpToolEnvironment.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/environments/tools/selection/kpToolSelectionEnvironment.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generic/kpSetOverrideCursorSaver.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generic/kpWidgetMapper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpResizeSignallingLabel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpSubWindow.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBalance.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBlurSharpen.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectEmboss.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectFlatten.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectGrayscale.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectHSV.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectInvert.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectReduceColors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectToneEnhance.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/kpColor_Constants.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/kpColor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/kpDocumentMetaInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/kpFloodFill.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/kpPainter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms/kpTransformAutoCrop.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms/kpTransformCrop.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms/kpTransformCrop_ImageSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms/kpTransformCrop_TextSelection.cpp
)   # kolourpaint_lib1_SRCS

set(kolourpaint_lib2_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kolourpaint.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpThumbnail.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpViewScrollableContainer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image/kpAbstractImageSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image/kpEllipticalImageSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image/kpFreeFormImageSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image/kpImageSelectionTransparency.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image/kpRectangularImageSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/kpAbstractSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/kpSelectionDrag.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/kpSelectionFactory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection_Cursor.cpp

=== debian/changelog ===
kolourpaint (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:38:54 -0700

kolourpaint (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:56:38 +0100

kolourpaint (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:33 +0100

kolourpaint (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:08 +0100

kolourpaint (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:08 +0200

kolourpaint (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:36 +0200

kolourpaint (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:12:22 +0100

=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libqimageblitz-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kolourpaint.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kolourpaint.git

Package: kolourpaint4
Section: graphics
Architecture: any
Replaces: kolourpaint
Breaks: kolourpaint
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kolourpaint-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kolourpaint-([\d.]+).tar.xz

## kolourpaint 16.04.3

=== debian/changelog ===
kolourpaint (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libqimageblitz-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kolourpaint.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kolourpaint.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint4
 Section: graphics

## kolourpaint 16.08.3

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kolourpaint)

=== debian/changelog ===
kolourpaint (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:14:20 +0100

kolourpaint (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Drop kde4 build deps

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:23:52 +0200

kolourpaint (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:27:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.9~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5kdelibs4support-dev,
                libqimageblitz-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
 
 Package: kolourpaint4
 Section: graphics

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_install:
	$(overridden_command)
	# remove shlib symlink as this isn't a dev package
	rm debian/kolourpaint4/usr/lib/*/libkolourpaint_lgpl.so

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kolourpaint-([\d.]+).tar.xz

## kolourpaint 16.12.3

=== debian/changelog ===
kolourpaint (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:49 +0000

kolourpaint (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Adding new build deps

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5kdelibs4support-dev,
-               libqimageblitz-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kexiv2-dev (>= 16.12.3~),
+               libkf5sane-dev (>= 16.12.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint4
 Section: graphics

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 override_dh_install:
 	$(overridden_command)

## kolourpaint 17.04.3

=== debian/changelog ===
kolourpaint (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Merge with debian's git master branch, but:
    - correct source format to be 3.0 (quilt), as it should be
    - add dummy transitional package so the kolourpaint4 -> kolourpaint
      upgrade will be easier to handle for package managers
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:50 +0100

=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kexiv2-dev (>= 17.04.3~),
               libkf5sane-dev (>= 17.04.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint

Package: kolourpaint
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

Package: kolourpaint4
Architecture: all
Section: oldlibs
Depends: kolourpaint, ${misc:Depends}
Description: Kolourpaint - transitional dummy package
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is a dummy package to make the upgrade to 'kolourpaint' easier for
 package managers, it can be safely removed after upgrading.

## kolourpaint 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,106 +1,64 @@
-cmake_minimum_required(VERSION 2.8.9)
 project(kolourpaint)
 
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
-
-find_package(QImageBlitz REQUIRED)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+set(QT_MIN_VERSION "5.5.0")
+
+find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+add_definitions(-DTRANSLATION_DOMAIN="kolourpaint")
+
+include(KDEInstallDirs)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDECMakeSettings)
+include(ECMInstallIcons)
+include(ECMAddAppIcon)
+include(ECMSetupVersion)
+include(FeatureSummary)
+
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+    Core
+    Widgets
+)
+
+find_package(KF5 REQUIRED COMPONENTS
+    KDELibs4Support
+)
+
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
-find_package(KSane)
-macro_log_feature(KSANE_FOUND "KSane" "KDE sane library" "https://quickgit.kde.org/?p=libksane.git" FALSE "" "Scanning support")
-
-if(KSANE_FOUND)
-    include_directories(${KSANE_INCLUDE_DIR})
+find_package(KF5Sane)
+
+if(KF5Sane_FOUND)
     add_definitions(-DHAVE_KSANE=1)
-else(KSANE_FOUND)
+    set(KSANE_LIBRARIES KF5::Sane)
+else(KF5Sane_FOUND)
     add_definitions(-DHAVE_KSANE=0)
-endif(KSANE_FOUND)
-
+endif(KF5Sane_FOUND)
 
 include_directories(
-
-# GENERATED BY ./gen_cmake_include_dirs
-
-${CMAKE_CURRENT_SOURCE_DIR}/commands
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/flow
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/polygonal
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/rectangular
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text
-${CMAKE_CURRENT_SOURCE_DIR}/cursors
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/document
-${CMAKE_CURRENT_SOURCE_DIR}/environments
-${CMAKE_CURRENT_SOURCE_DIR}/environments/commands
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/environments/document
-${CMAKE_CURRENT_SOURCE_DIR}/environments/tools
-${CMAKE_CURRENT_SOURCE_DIR}/environments/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/generic
-${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/layers
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text
-${CMAKE_CURRENT_SOURCE_DIR}/layers/tempImage
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/mainWindow
-${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx
-${CMAKE_CURRENT_SOURCE_DIR}/tools
-${CMAKE_CURRENT_SOURCE_DIR}/tools/flow
-${CMAKE_CURRENT_SOURCE_DIR}/tools/polygonal
-${CMAKE_CURRENT_SOURCE_DIR}/tools/rectangular
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/image
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/text
-${CMAKE_CURRENT_SOURCE_DIR}/views
-${CMAKE_CURRENT_SOURCE_DIR}/views/manager
-${CMAKE_CURRENT_SOURCE_DIR}/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/colorSimilarity
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars/options
-
-${KDE4_INCLUDES}
-${QIMAGEBLITZ_INCLUDES}
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+ 
+ 
+## Generate header with version number
+ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+                  VARIABLE_PREFIX KOLOURPAINT
+                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpVersion.h"
+)
+
 
 add_subdirectory( pics )
 add_subdirectory( doc )
 
 
 ########### next target ###############
-macro(CREATE_VERSION _in_FILE _out_FILE)
-    FILE(READ ${_in_FILE} _contents)
-    FILE(WRITE ${_out_FILE} "static const char * const kpVersionText =")
-    STRING(REGEX REPLACE "\n" "" _contents "${_contents}" )
-    FILE(APPEND ${_out_FILE} "${_contents}")
-    FILE(APPEND ${_out_FILE} ";\n")
-endmacro(CREATE_VERSION)
-
-
-#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h )
-
-create_version(${CMAKE_CURRENT_SOURCE_DIR}/VERSION ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h)
-
-
 macro(CREATE_LICENSE _in_FILE _out_FILE)
     FILE(READ ${_in_FILE} _contents)
     FILE(WRITE ${_out_FILE} "static const char * const kpLicenseText =")
@@ -183,6 +141,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/kpWidgetMapper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpResizeSignallingLabel.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpSubWindow.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/blitz.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBalance.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBlurSharpen.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectEmboss.cpp
@@ -204,6 +163,7 @@
 )   # kolourpaint_lib1_SRCS
 
 set(kolourpaint_lib2_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/kpLogCategories.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kolourpaint.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kpThumbnail.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kpViewScrollableContainer.cpp
@@ -217,3 +177,37 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/kpSelectionFactory.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection_Cursor.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection_Paint.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextStyle.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpPreeditText.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/tempImage/kpTempImage.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Colors.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Edit.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_File.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Image.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Settings.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_StatusBar.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Text.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Tools.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View_Thumbnail.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View_Zoom.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_DrawShapes.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_GetSetPixmapParts.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_Transforms.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolBrush.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolColorEraser.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolEraser.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolFlowBase.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolFlowPixmapBase.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolPen.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolSpraycan.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolAction.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolColorPicker.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_Drawing.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolFloodFill.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_KeyboardEvents.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_MouseEvents.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_OtherEvents.cpp

=== lgpl/CMakeLists.txt ===
#
# LGPL Library
#
# This MUST be a dynamic link library to avoid LGPL license infection.
#

set(kolourpaint_lgpl_SRCS
    generic/kpUrlFormatter.cpp
    generic/kpColorCollection.cpp
    generic/widgets/kpColorCellsBase.cpp
)

add_library(kolourpaint_lgpl SHARED ${kolourpaint_lgpl_SRCS})

set(kolourpaint_lgpl_version 5)

target_link_libraries(kolourpaint_lgpl
    KF5::KDELibs4Support
    KF5::I18n
    KF5::GuiAddons
    KF5::WidgetsAddons
    KF5::KIOCore
    Qt5::Widgets
)

set_target_properties(kolourpaint_lgpl
    PROPERTIES
        VERSION ${kolourpaint_lgpl_version}
        DEFINE_SYMBOL MAKE_KOLOURPAINT4_LGPL_LIB
)

generate_export_header(kolourpaint_lgpl BASE_NAME kolourpaint_lgpl)

install(TARGETS kolourpaint_lgpl ${INSTALL_TARGETS_DEFAULT_ARGS})

=== pics/CMakeLists.txt ===
add_subdirectory( action ) 
add_subdirectory( app ) 
add_subdirectory( custom )

=== debian/changelog ===
kolourpaint (4:17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Use wildcards in debian/not-installed so we won't have spurious
    missing files reports for non-amd64 architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:23 +0000

kolourpaint (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:34 +0000

kolourpaint (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:16 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 17.04.3~),
-               libkf5sane-dev (>= 17.04.3~),
+               libkf5kexiv2-dev (>= 17.12.3~),
+               libkf5sane-dev (>= 17.12.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_install:
	$(overridden_command)
	# remove shlib symlink as this isn't a dev package
	rm debian/kolourpaint/usr/lib/*/libkolourpaint_lgpl.so

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/applications/([\d.]+)/src/@PACKAGE@-([\d.]+).tar.xz

## kolourpaint 18.04.0

=== pics/custom/CMakeLists.txt ===
install(FILES
    tool_spraycan_9x9.png
    tool_spraycan_17x17.png
    tool_spraycan_29x29.png
    color_transparent_26x26.png
    colorbutton_swap_16x16.png
    option_opaque.png option_transparent.png
    resize.png scale.png
    smooth_scale.png
    image_skew_horizontal.png
    image_skew_vertical.png
    image_rotate_anticlockwise.png
    image_rotate_clockwise.png
    DESTINATION ${DATA_INSTALL_DIR}/kolourpaint/pics)

=== debian/changelog ===
kolourpaint (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Fix Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 11:01:26 +0200

kolourpaint (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Add a transitional kolourpaint4 package.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 15:31:55 +0100

kolourpaint (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:20 +0200

kolourpaint (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:02:53 +0000

kolourpaint (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:15 +0000

kolourpaint (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:35 +0000

kolourpaint (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:46 +0000

kolourpaint (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:21:54 +0000

kolourpaint (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 11:06:06 +0000

kolourpaint (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Apr 2017 13:18:54 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kolourpaint
	# remove shlib symlink as this isn't a dev package
	rm debian/kolourpaint/usr/lib/*/libkolourpaint_lgpl.so

## kolourpaint 18.04.0.1+rb2

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,9 +41,9 @@
 )
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION_MAJOR "18")
+set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MICRO "0")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
kolourpaint (4:18.04.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 11:04:39 +0800

## kolourpaint 18.04.3

=== debian/changelog ===
kolourpaint (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 17.12.3~),
-               libkf5sane-dev (>= 17.12.3~),
+               libkf5kexiv2-dev (>= 18.04.3~),
+               libkf5sane-dev (>= 18.04.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint

## kolourpaint 18.12.3

=== debian/changelog ===
kolourpaint (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:59 +0000

kolourpaint (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:08 +0000

kolourpaint (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:29 +0000

kolourpaint (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:45 +0000

kolourpaint (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 28 Dec 2018 08:41:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,23 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 18.04.3~),
-               libkf5sane-dev (>= 18.04.3~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5kdelibs4support-dev,
+               libkf5sane-dev (>= 18.12.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.5.0~),
+Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint
+Section: graphics
 Architecture: any
-Section: graphics
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
 Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
@@ -34,9 +33,9 @@
  This package is part of the KDE graphics module.
 
 Package: kolourpaint4
+Section: oldlibs
 Architecture: all
-Section: oldlibs
-Depends: kolourpaint, ${misc:Depends}
+Depends: kolourpaint (>= ${source:Version}), ${misc:Depends}
 Description: Kolourpaint - transitional dummy package
  KolourPaint is a simple drawing and image editing application for KDE.
  It aims to be easy to use, providing a level of functionality targeted towards

## kolourpaint 19.04.3

=== debian/changelog ===
kolourpaint (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:37 +0100

kolourpaint (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:20 +0100

kolourpaint (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:21 +0100

kolourpaint (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 1.3.0~),
                libkf5kdelibs4support-dev,
-               libkf5sane-dev (>= 18.12.3~),
+               libkf5sane-dev (>= 19.04.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-6~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kolourpaint 19.12.0

=== debian/changelog ===
kolourpaint (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt to 5.11.0
    - bump KF packages to 5.58.0

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:34:36 +0100

kolourpaint (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10.0
    - add libkf5doctools-dev, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5kio-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 22:39:45 +0200

=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.10.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               libkf5doctools-dev (>= 5.58.0~),
               libkf5guiaddons-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5kdelibs4support-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5sane-dev,
               libkf5textwidgets-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kolourpaint.git

Package: kolourpaint
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

Package: kolourpaint4
Section: oldlibs
Architecture: all
Depends: kolourpaint (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kolourpaint
 This is a transitional package to migrate to kolourpaint.  It can be safely
 removed after the upgrade.
 .
 This package is part of the KDE graphics module.
